<div (keydown.escape)="back()"
     [solidifyFocusFirstElement]="true"
>
  <h1>{{labelTranslateEnum.aipStatuses | translate}}</h1>

  <div (onEscape)="back()"
       class="button-toolbar"
       solidifyShortCuts
  >
    <button (click)="back()"
            (onEnter)="back()"
            color="primary"
            mat-button
            solidifyShortCuts
    >

      <solidify-icon [iconName]="iconNameEnum.back"></solidify-icon>
      {{labelTranslateEnum.backToPreservationPlanning | translate}}
    </button>
    <button (click)="deleteCache()"
            (onEnter)="deleteCache()"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.clearCache"></solidify-icon>
      {{labelTranslateEnum.clearCache | translate}}
    </button>
  </div>

  <solidify-data-table [columns]="columns"
                       [data]="listObs | async"
                       [isClickable]="false"
                       [isLoading]="isLoadingObs | async"
                       [displaySpinnerWhenLoading]="true"
                       [queryParameters]="queryParametersObs | async"
                       (queryParametersChange)="onQueryParametersEvent($event)"
  ></solidify-data-table>
</div>
